unit glur_1;
interface
uses
  sp_Lib_Delphi,
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ConnectTo1Cv8, Buttons, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    ConnectTo1Cv81: TConnectTo1Cv8;
    SpeedButton2: TSpeedButton;
    GroupBox1: TGroupBox;
    Memo1: TMemo;
    SpeedButton3: TSpeedButton;
    CheckBox1: TCheckBox;
    Panel2: TPanel;
    Label_YesConnect: TLabel;
    Label1: TLabel;
    Edit_DirDB: TEdit;
    Label2: TLabel;
    Edit_User: TEdit;
    Label3: TLabel;
    Edit_PSW: TEdit;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Memo1.Lines.Clear;
  Label_YesConnect.Visible:=false;
  Edit_DirDB.Text:='F:\1C\1Cv8\1cv8.db\HomeLib\';
  Edit_User.Text:='Admin';
  Edit_PSW.Text:='0';

end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose:=true;
  Label_YesConnect.Visible:=false;
  ConnectTo1Cv81.Active:=false;

end;


procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Label_YesConnect.Visible:=false;
  ConnectTo1Cv81.Active:=false;

  //     
  ConnectTo1Cv81.FilePath:=Trim(Edit_DirDB.Text);
  // 
  ConnectTo1Cv81.UserName:=Trim(Edit_User.Text);
  // 
  ConnectTo1Cv81.Password:=Trim(Edit_PSW.Text);
  // COM-
  ConnectTo1Cv81.Active:=true;

  if ConnectTo1Cv81.Active then begin
     Label_YesConnect.Visible:=true;
  end;

end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
var
  vRole,
  vList_Roles : variant;
  vList_Roles_m : variant;
  vUser,
  vList_Users : variant;
  Count2,j,Count,i : integer;
  Sx : string;
begin
  Memo1.Lines.Clear;
  Memo1.Lines.Add('  ');
  Memo1.Lines.Add('----------------------------------------------------');
  Sx:=sp_MoveTextInString('',8,0);
  Sx:=Sx+'|'+sp_MoveTextInString('',32,0);
  Sx:=Sx+'|'+sp_MoveTextInString('',10,0);
  Memo1.Lines.Add(Sx);
  Memo1.Lines.Add('----------------------------------------------------');

  if ConnectTo1Cv81.Active then begin
     //  .
     vList_Users := ConnectTo1Cv81.ole1Cv8..();
     if YesLinkToVariant(vList_Users) then begin
        //- . 
	Count := vList_Users.();
	if Count>0 then begin
           i := -1;
           while i<(Count-1) do
            begin
              i := i + 1;

              // 
              vUser:=vList_Users.(i);

              //---------------------------------------------
              //       
              Sx:=sp_MoveTextInString(Trim(vUser.),8,0);
              Sx:=Sx+'|'+sp_MoveTextInString(Trim(vUser.),32,0);
              if (vUser.*1)<0 then begin
                 Sx:=Sx+'|'+sp_MoveTextInString('',10,0);
              end
              else begin
                 Sx:=Sx+'|'+sp_MoveTextInString('',10,0);
              end;
              //---------------------------------------------

              // 
              Memo1.Lines.Add(Sx);

              if CheckBox1.Checked then begin
                 //   
                 vList_Roles := vUser.;
                 if YesLinkToVariant(vList_Roles) then begin

                    //   
                    vList_Roles_m:=ConnectTo1Cv81.ole1Cv8.____OLE(vList_Roles);

                    //---------------------------------------
                    //   
                    Count2 := vList_Roles_m.();
                    if Count2>0 then begin
                       j := -1;
                       while j<(Count2-1) do
                        begin
                          j := j + 1;

                          //  
                          vRole:=vList_Roles_m.(j);

                          Memo1.Lines.Add(' > ='+Trim(vRole.));
                       end;
                    end;
                    //---------------------------------------

                 end;
              end;
           end;
        end;
     end;
  end;
  Memo1.Lines.Add('----------------------------------------------------');

end;


procedure TForm1.SpeedButton3Click(Sender: TObject);
Var
  vConnect,
  vList_Connects : variant;
  Count,i : integer;
  Sx : string;
begin

  Memo1.Lines.Clear;
  Memo1.Lines.Add('  ');
  Memo1.Lines.Add('-----------------------------------------------------------------------------------');
  Sx:=sp_MoveTextInString('',8,0);
  Sx:=Sx+'|'+sp_MoveTextInString('',29,0);
  Sx:=Sx+'|'+sp_MoveTextInString('',8,0);
  Sx:=Sx+'|'+sp_MoveTextInString(' ',19,0);
  Sx:=Sx+'|'+sp_MoveTextInString('N',5,0);
  Sx:=Sx+'|'+'';
  Memo1.Lines.Add(Sx);
  Memo1.Lines.Add('-----------------------------------------------------------------------------------');


  if ConnectTo1Cv81.Active then begin
     vList_Connects := ConnectTo1Cv81.ole1Cv8.();
     if YesLinkToVariant(vList_Connects) then begin
        //- 
	Count := vList_Connects.();
	if Count>0 then begin
           i := -1;
           while i<(Count-1) do
            begin
              i := i + 1;

              // 
              vConnect:=vList_Connects.(i);

              //-----------------------------
              //       
              Sx:=sp_MoveTextInString(Trim(vConnect..),8,0);
              Sx:=Sx+'|'+sp_MoveTextInString(Trim(vConnect..),29,0);
              Sx:=Sx+'|'+sp_MoveTextInString(Trim(vConnect.),9,0);
              Sx:=Sx+'|'+sp_MoveTextInString(Trim(vConnect.),19,0);
              Sx:=Sx+'|'+sp_MoveTextInString(Trim(vConnect.),5,0);
              Sx:=Sx+'|'+Trim(vConnect.);
              Sx:=Sx+' ('+Trim(ConnectTo1Cv81.ole1Cv8.(vConnect.))+')';
              //-----------------------------

              // 
              Memo1.Lines.Add(Sx);

           end;
        end;
     end;
  end;
  Memo1.Lines.Add('-----------------------------------------------------------------------------------');
end;

end.



 ____OLE() 
  Res =  ;
       
      Res.();
  ;
   Res;






self-xyav20rqga.





